// skeleton.h

#ifndef SKELETON_H

#define SKELETON_H

#include "base.h"

#define BVHJoints 18
#define NBranch	5
#define MaxFrames 10000

typedef struct {
	Matrix44 LMat, BMat;
	int	parent;
	int	nchild;
	int child[NBranch];
} joint;

extern int frame_no;
extern int NFrames;
extern Vector angles[MaxFrames][BVHJoints];
extern Vector positions[MaxFrames];
extern Vector offset[BVHJoints];
extern Vector current_position[BVHJoints];

extern joint skeleton[BVHJoints];
extern void parent_child(int, int);
extern void construct_skeleton();
extern void update_skeleton(int);

// for chado
extern void update_skeleton_of_motion1(int);

#endif
